Package org.kapott.hbci.passport

# Class HBCIPassportRAH10

java.lang.Object
org.kapott.hbci.passport.AbstractHBCIPassport
org.kapott.hbci.passport.HBCIPassportRAH10

All Implemented Interfaces:
  `Serializable`, `FileBasedPassport`, `HBCIPassport`, `HBCIPassportInternal`, `InitLetterPassport`

public class HBCIPassportRAH10 extends AbstractHBCIPassport implements InitLetterPassport, FileBasedPassport
Implementierung des Passports fuer RAH10-Schluesseldateien.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARAM_PREFIX`
Der Prefix fuer die Parametrisierung via HBCIUtils.setParam.

### Fields inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`KEY_EXTERNAL_ID, KEY_VOP_RESULT`

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`HBCIPassportRAH10(Object initObject)`
ct.
`protected`
`HBCIPassportRAH10(Object initObject, PassportData data)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`decrypt(byte[] cryptedKey, byte[] encryptedMsg)`
`byte[][]`
`encrypt(byte[] plainMsg)`
`HBCIKey[][]`
`generateNewUserKeys()`
`Comm`
`getCommInstance()`
`String`
`getCryptAlg()`
`String`
`getCryptFunction()`
`String`
`getCryptKeyType()`
`String`
`getCryptMode()`
`String`
`getFilename()`
Liefert den Dateinamen der Schluesseldatei.
`String`
`getHashAlg()`
`HBCIKey`
`getInstEncKey()`
`String`
`getInstEncKeyName()`
`String`
`getInstEncKeyNum()`
`String`
`getInstEncKeyVersion()`
`HBCIKey`
`getInstSigKey()`
`String`
`getInstSigKeyName()`
`String`
`getInstSigKeyNum()`
`String`
`getInstSigKeyVersion()`
`String`
`getMyEncKeyName()`
`String`
`getMyEncKeyNum()`
`String`
`getMyEncKeyVersion()`
`HBCIKey`
`getMyPrivateDigKey()`
`HBCIKey`
`getMyPrivateEncKey()`
`HBCIKey`
`getMyPrivateSigKey()`
`HBCIKey`
`getMyPublicDigKey()`
`HBCIKey`
`getMyPublicEncKey()`
`HBCIKey`
`getMyPublicSigKey()`
`String`
`getMySigKeyName()`
`String`
`getMySigKeyNum()`
`String`
`getMySigKeyVersion()`
`String`
`getPassportTypeName()`
`String`
`getProfileMethod()`
`String`
`getProfileVersion()`
`String`
`getSigAlg()`
`String`
`getSigFunction()`
`String`
`getSigMode()`
`SignatureParamSpec`
`getSignatureParamSpec()`
Liefert die Signatur-Spec.
`String`
`getSysStatus()`
`protected PassportData`
`getUpdatedData()`
`byte[]`
`hash(byte[] data)`
`boolean`
`hasInstEncKey()`
`boolean`
`hasInstSigKey()`
`boolean`
`hasMyEncKey()`
`boolean`
`hasMySigKey()`
`protected void`
`init(PassportData data)`
`boolean`
`isSupported()`
`boolean`
`needInstKeys()`
`boolean`
`needUserKeys()`
`boolean`
`needUserSig()`
`void`
`resetPassphrase()`
`void`
`saveChanges()`
Speichern der Änderungen an den Passport-Daten.
`void`
`setInstEncKey(HBCIKey key)`
`void`
`setInstSigKey(HBCIKey key)`
`void`
`setMyPrivateDigKey(HBCIKey key)`
`void`
`setMyPrivateEncKey(HBCIKey key)`
`void`
`setMyPrivateSigKey(HBCIKey key)`
`void`
`setMyPublicDigKey(HBCIKey key)`
`void`
`setMyPublicEncKey(HBCIKey key)`
`void`
`setMyPublicSigKey(HBCIKey key)`
`byte[]`
`sign(byte[] data)`
`boolean`
`verify(byte[] data, byte[] sig)`

### Methods inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`askForMissingData, canMixSecMethods, changePassphrase, checkForCryptDataSize, clearBPD, clearInstEncKey, clearInstSigKey, clearMyDigKey, clearMyEncKey, clearMySigKey, clearUPD, close, closeComm, fillAccountInfo, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getCID, getClientData, getComm, getCommFilter, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstance, getInstance, getInstance, getInstance, getInstName, getJobRestrictions, getJobRestrictions, getLang, getMaxGVperMsg, getMaxGVSegsPerMsg, getMaxMsgSizeKB, getParamHeader, getParamSegmentNames, getParentHandlerData, getPersistentData, getPort, getSigId, getStoredCustomerId, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getSysId, getUPD, getUPDVersion, getUserId, incSigId, isAnonymous, onDialogEvent, onlyBPDGVs, setBLZ, setBPD, setCID, setClientData, setCountry, setCustomerId, setFilterType, setHBCIVersion, setHost, setParamHeader, setParentHandlerData, setPersistentData, setPort, setProfileMethod, setProfileVersion, setSigId, setSysId, setUPD, setUserId, syncSigId, syncSysId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_PREFIX

public static final String PARAM_PREFIX
Der Prefix fuer die Parametrisierung via HBCIUtils.setParam.

See Also:
  - Constant Field Values

## Constructor Details

### HBCIPassportRAH10

public HBCIPassportRAH10(Object initObject)
ct.

Parameters:
  `initObject` -

### HBCIPassportRAH10

protected HBCIPassportRAH10(Object initObject, PassportData data)

## Method Details

### init

protected void init(PassportData data)

### getFilename

public String getFilename()
Description copied from interface: `FileBasedPassport`
Liefert den Dateinamen der Schluesseldatei.

Specified by:
  `getFilename` in interface `FileBasedPassport`
Returns:
  der Dateiname der Schluesseldatei.
See Also:
  - `FileBasedPassport.getFilename()`

### getUpdatedData

protected PassportData getUpdatedData()

### saveChanges

public void saveChanges()
Description copied from interface: `HBCIPassport`
Speichern der Änderungen an den Passport-Daten. Diese Methode sollte eigentlich niemals manuell aus einer Anwendung heraus aufgerufen werden, sondern wird vom HBCI-Kernel benutzt. Das manuelle Aufrufen von `saveChanges` ist nur dann sinnvoll, wenn irgendwelche Passport-Daten manuell verändert werden (`HBCIPassport.setHost(String)`, `HBCIPassport.clearBPD()` usw.) und diese Änderungen explizit gespeichert werden sollen.

Specified by:
  `saveChanges` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.saveChanges()`

### getPassportTypeName

public String getPassportTypeName()

Specified by:
  `getPassportTypeName` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getPassportTypeName()`

### getProfileMethod

public String getProfileMethod()

Specified by:
  `getProfileMethod` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getProfileMethod()`

### getProfileVersion

public String getProfileVersion()

Specified by:
  `getProfileVersion` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getProfileVersion()`

### resetPassphrase

public void resetPassphrase()

Specified by:
  `resetPassphrase` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.resetPassphrase()`

### getSysStatus

public String getSysStatus()

Specified by:
  `getSysStatus` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getSysStatus()`

### needUserSig

public boolean needUserSig()

Specified by:
  `needUserSig` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.needUserSig()`

### setInstSigKey

public void setInstSigKey(HBCIKey key)

Specified by:
  `setInstSigKey` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.setInstSigKey(org.kapott.hbci.manager.HBCIKey)`

### setInstEncKey

public void setInstEncKey(HBCIKey key)

Specified by:
  `setInstEncKey` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.setInstEncKey(org.kapott.hbci.manager.HBCIKey)`

### setMyPublicSigKey

public void setMyPublicSigKey(HBCIKey key)

Specified by:
  `setMyPublicSigKey` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.setMyPublicSigKey(org.kapott.hbci.manager.HBCIKey)`

### setMyPrivateSigKey

public void setMyPrivateSigKey(HBCIKey key)

Specified by:
  `setMyPrivateSigKey` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.setMyPrivateSigKey(org.kapott.hbci.manager.HBCIKey)`

### setMyPublicEncKey

public void setMyPublicEncKey(HBCIKey key)

Specified by:
  `setMyPublicEncKey` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.setMyPublicEncKey(org.kapott.hbci.manager.HBCIKey)`

### setMyPrivateEncKey

public void setMyPrivateEncKey(HBCIKey key)

Specified by:
  `setMyPrivateEncKey` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.setMyPrivateEncKey(org.kapott.hbci.manager.HBCIKey)`

### setMyPublicDigKey

public void setMyPublicDigKey(HBCIKey key)

Specified by:
  `setMyPublicDigKey` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.setMyPublicDigKey(org.kapott.hbci.manager.HBCIKey)`

### setMyPrivateDigKey

public void setMyPrivateDigKey(HBCIKey key)

Specified by:
  `setMyPrivateDigKey` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.setMyPrivateDigKey(org.kapott.hbci.manager.HBCIKey)`

### getInstSigKeyName

public String getInstSigKeyName()

Specified by:
  `getInstSigKeyName` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getInstSigKeyName()`

### getInstSigKeyNum

public String getInstSigKeyNum()

Specified by:
  `getInstSigKeyNum` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getInstSigKeyNum()`

### getInstSigKeyVersion

public String getInstSigKeyVersion()

Specified by:
  `getInstSigKeyVersion` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getInstSigKeyVersion()`

### getInstEncKeyName

public String getInstEncKeyName()

Specified by:
  `getInstEncKeyName` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getInstEncKeyName()`

### getInstEncKeyNum

public String getInstEncKeyNum()

Specified by:
  `getInstEncKeyNum` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getInstEncKeyNum()`

### getInstEncKeyVersion

public String getInstEncKeyVersion()

Specified by:
  `getInstEncKeyVersion` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getInstEncKeyVersion()`

### getMySigKeyName

public String getMySigKeyName()

Specified by:
  `getMySigKeyName` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getMySigKeyName()`

### getMySigKeyNum

public String getMySigKeyNum()

Specified by:
  `getMySigKeyNum` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getMySigKeyNum()`

### getMySigKeyVersion

public String getMySigKeyVersion()

Specified by:
  `getMySigKeyVersion` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getMySigKeyVersion()`

### getMyEncKeyName

public String getMyEncKeyName()

Specified by:
  `getMyEncKeyName` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getMyEncKeyName()`

### getMyEncKeyNum

public String getMyEncKeyNum()

Specified by:
  `getMyEncKeyNum` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getMyEncKeyNum()`

### getMyEncKeyVersion

public String getMyEncKeyVersion()

Specified by:
  `getMyEncKeyVersion` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getMyEncKeyVersion()`

### getCryptKeyType

public String getCryptKeyType()

Specified by:
  `getCryptKeyType` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getCryptKeyType()`

### getCryptFunction

public String getCryptFunction()

Specified by:
  `getCryptFunction` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getCryptFunction()`

### getCryptAlg

public String getCryptAlg()

Specified by:
  `getCryptAlg` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getCryptAlg()`

### getCryptMode

public String getCryptMode()

Specified by:
  `getCryptMode` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getCryptMode()`

### getSigFunction

public String getSigFunction()

Specified by:
  `getSigFunction` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getSigFunction()`

### getSigAlg

public String getSigAlg()

Specified by:
  `getSigAlg` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getSigAlg()`

### getSigMode

public String getSigMode()

Specified by:
  `getSigMode` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getSigMode()`

### getHashAlg

public String getHashAlg()

Specified by:
  `getHashAlg` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.getHashAlg()`

### hash

public byte[] hash(byte[] data)

Specified by:
  `hash` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.hash(byte[])`

### sign

public byte[] sign(byte[] data)

Specified by:
  `sign` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.sign(byte[])`

### verify

public boolean verify(byte[] data, byte[] sig)

Specified by:
  `verify` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.verify(byte[], byte[])`

### encrypt

public byte[][] encrypt(byte[] plainMsg)

Specified by:
  `encrypt` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.encrypt(byte[])`

### decrypt

public byte[] decrypt(byte[] cryptedKey, byte[] encryptedMsg)

Specified by:
  `decrypt` in interface `HBCIPassportInternal`
See Also:
  - `HBCIPassportInternal.decrypt(byte[], byte[])`

### generateNewUserKeys

public HBCIKey[][] generateNewUserKeys()

Specified by:
  `generateNewUserKeys` in interface `HBCIPassportInternal`
Overrides:
  `generateNewUserKeys` in class `AbstractHBCIPassport`
See Also:
  - `AbstractHBCIPassport.generateNewUserKeys()`

### getSignatureParamSpec

public SignatureParamSpec getSignatureParamSpec()
Description copied from interface: `InitLetterPassport`
Liefert die Signatur-Spec.

Specified by:
  `getSignatureParamSpec` in interface `InitLetterPassport`
Returns:
  die Signatur-Spec.
See Also:
  - `InitLetterPassport.getSignatureParamSpec()`

### isSupported

public boolean isSupported()

Specified by:
  `isSupported` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.isSupported()`

### needInstKeys

public boolean needInstKeys()

Specified by:
  `needInstKeys` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.needInstKeys()`

### needUserKeys

public boolean needUserKeys()

Specified by:
  `needUserKeys` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.needUserKeys()`

### hasInstSigKey

public boolean hasInstSigKey()

Specified by:
  `hasInstSigKey` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.hasInstSigKey()`

### hasInstEncKey

public boolean hasInstEncKey()

Specified by:
  `hasInstEncKey` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.hasInstEncKey()`

### hasMySigKey

public boolean hasMySigKey()

Specified by:
  `hasMySigKey` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.hasMySigKey()`

### hasMyEncKey

public boolean hasMyEncKey()

Specified by:
  `hasMyEncKey` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.hasMyEncKey()`

### getMyPublicSigKey

public HBCIKey getMyPublicSigKey()

Specified by:
  `getMyPublicSigKey` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.getMyPublicSigKey()`

### getMyPublicEncKey

public HBCIKey getMyPublicEncKey()

Specified by:
  `getMyPublicEncKey` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.getMyPublicEncKey()`

### getMyPublicDigKey

public HBCIKey getMyPublicDigKey()

Specified by:
  `getMyPublicDigKey` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.getMyPublicDigKey()`

### getMyPrivateSigKey

public HBCIKey getMyPrivateSigKey()

Specified by:
  `getMyPrivateSigKey` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.getMyPrivateSigKey()`

### getMyPrivateEncKey

public HBCIKey getMyPrivateEncKey()

Specified by:
  `getMyPrivateEncKey` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.getMyPrivateEncKey()`

### getMyPrivateDigKey

public HBCIKey getMyPrivateDigKey()

Specified by:
  `getMyPrivateDigKey` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.getMyPrivateDigKey()`

### getInstSigKey

public HBCIKey getInstSigKey()

Specified by:
  `getInstSigKey` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.getInstSigKey()`

### getInstEncKey

public HBCIKey getInstEncKey()

Specified by:
  `getInstEncKey` in interface `HBCIPassport`
See Also:
  - `HBCIPassport.getInstEncKey()`

### getCommInstance

public Comm getCommInstance()

Specified by:
  `getCommInstance` in class `AbstractHBCIPassport`
See Also:
  - `AbstractHBCIPassport.getCommInstance()`